Bug 546497 - maybe we shouldn't suspend on lid close if using external inputs and outputs
maybe we shouldn't suspend on lid close if using external inputs and outputs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 598540 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-10 20:49 EST by jmccann
Modified: 2015-01-14 18:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:49:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jmccann 2009-12-10 20:49:49 EST
Today we suspend on lid close.  Perhaps we should support the following cases:

a. Shut lid while docked with external monitor, keyboard, mouse

For this I think we should not suspend while it is still possible to interact with the system.  In the even all of the external outputs are removed (LCD disconnected) I think we should probably suspend.  We probably can't do something similar for inputs because there can be may different types of inputs - even the outside of the laptop case can have input controls on it.

b. Shut lid while watching movie on attached TV

For this I imagine that we'd not suspend until the system goes idle after the movie ends.

c. Shut lid when it is the only output

Suspend immediately.
Comment 1 Thomas Wood 2010-01-31 15:24:58 EST
I work with my laptop in a dock, so it is often connected to an external display. As soon as I close the laptop lid, power manager will blank the screen, despite the fact I have an external display connected.
Comment 2 Pasi Karkkainen 2010-07-12 08:13:17 EDT
Yes, this should be fixed, it's very annoying behaviour.

The most simple fix is to add "Do nothing" option for "When laptop lid is closed" in gnome-power-manager. Better fix is described in the original post on this bugzilla entry.

I use my laptop very often in a docking station, so I only have the external DVI display in use.. So I don't want to blank the (external) screen when laptop lid is closed!

Btw there's a workaround described here:
http://ubuntuforums.org/showthread.php?t=1366631
Comment 3 Pasi Karkkainen 2010-07-12 08:18:59 EDT
It seems we have another bugzilla entry about this issue: 
https://bugzilla.redhat.com/show_bug.cgi?id=530211

(and also: https://bugzilla.redhat.com/show_bug.cgi?id=598540).
Comment 4 jmccann 2010-07-12 15:12:25 EDT
*** Bug 598540 has been marked as a duplicate of this bug. ***
Comment 5 Pasi Karkkainen 2010-07-16 04:24:09 EDT
Upstream has re-added "Do nothing" as an option:
https://bugzilla.gnome.org/show_bug.cgi?id=589736
Comment 6 jmccann 2010-07-16 10:19:58 EDT
Another option is definitely not the answer.
Comment 7 Pasi Karkkainen 2010-09-19 07:22:06 EDT
Is anyone working on fixing these multi-display bugs? 

There's another bugzilla about the same bug/problem here:
https://bugzilla.redhat.com/show_bug.cgi?id=595644
Comment 8 Bug Zapper 2010-11-03 23:39:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-03 20:49:42 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.